Index: code/trunk/src/external/ceguilua/CMakeLists.txt
===================================================================
--- code/trunk/src/external/ceguilua/CMakeLists.txt	(revision 6762)
+++ code/trunk/src/external/ceguilua/CMakeLists.txt	(revision 7163)
@@ -56,10 +56,10 @@
 ADD_CUSTOM_COMMAND(
   OUTPUT ${CEGUILUA_BINARY_DIR}/${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
-  COMMAND tolua++app_orxonox -n CEGUI
-                             -w ${CEGUILUA_BINARY_DIR}
-                             -o ${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
-                             -L exceptions.lua
-                             -s ${TOLUA_PARSER_SOURCE}
-                                CEGUI.pkg
+  COMMAND toluaapp_orxonox -n CEGUI
+                           -w ${CEGUILUA_BINARY_DIR}
+                           -o ${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
+                           -L exceptions.lua
+                           -s ${TOLUA_PARSER_SOURCE}
+                              CEGUI.pkg
   DEPENDS              ${TOLUA_PARSER_DEPENDENCIES}
   WORKING_DIRECTORY    ${RUNTIME_LIBRARY_DIRECTORY}
@@ -79,5 +79,5 @@
     ${CEGUI_VERSION}
   LINK_LIBRARIES
-    tolua++_orxonox
+    tolua_orxonox
     ${LUA_LIBRARIES}
     ${CEGUI_LIBRARY}
Index: code/trunk/src/external/ceguilua/ceguilua-0.6.0/ceguilua/CEGUILua.h
===================================================================
--- code/trunk/src/external/ceguilua/ceguilua-0.6.0/ceguilua/CEGUILua.h	(revision 6762)
+++ code/trunk/src/external/ceguilua/ceguilua-0.6.0/ceguilua/CEGUILua.h	(revision 7163)
@@ -35,5 +35,5 @@
 	Import / Export control macros
 *************************************************************************/
-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
+#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
 #   ifdef CEGUILUA_EXPORTS
 #       define CEGUILUA_API __declspec(dllexport)
Index: code/trunk/src/external/ceguilua/ceguilua-0.6.0/ceguilua/changes_orxonox.diff
===================================================================
--- code/trunk/src/external/ceguilua/ceguilua-0.6.0/ceguilua/changes_orxonox.diff	(revision 6762)
+++ code/trunk/src/external/ceguilua/ceguilua-0.6.0/ceguilua/changes_orxonox.diff	(revision 7163)
@@ -67,5 +67,10 @@
 --- CEGUILua.h	Wed Jul  9 18:24:49 2008
 +++ CEGUILua.h	Thu Jan 29 10:17:07 2009
-@@ -38,7 +38,11 @@
+@@ -34,11 +34,15 @@
+ /*************************************************************************
+ 	Import / Export control macros
+ *************************************************************************/
+-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
++#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
  #   ifdef CEGUILUA_EXPORTS
  #       define CEGUILUA_API __declspec(dllexport)
Index: code/trunk/src/external/ceguilua/ceguilua-0.6.1/ceguilua/CEGUILua.h
===================================================================
--- code/trunk/src/external/ceguilua/ceguilua-0.6.1/ceguilua/CEGUILua.h	(revision 6762)
+++ code/trunk/src/external/ceguilua/ceguilua-0.6.1/ceguilua/CEGUILua.h	(revision 7163)
@@ -35,5 +35,5 @@
 	Import / Export control macros
 *************************************************************************/
-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
+#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
 #   ifdef CEGUILUA_EXPORTS
 #       define CEGUILUA_API __declspec(dllexport)
Index: code/trunk/src/external/ceguilua/ceguilua-0.6.1/ceguilua/changes_orxonox.diff
===================================================================
--- code/trunk/src/external/ceguilua/ceguilua-0.6.1/ceguilua/changes_orxonox.diff	(revision 6762)
+++ code/trunk/src/external/ceguilua/ceguilua-0.6.1/ceguilua/changes_orxonox.diff	(revision 7163)
@@ -1,5 +1,10 @@
 --- CEGUILua.h	Mi Jul  9 18:24:49 2008
 +++ CEGUILua.h	Do Jan 29 10:18:14 2009
-@@ -38,7 +38,11 @@
+@@ -34,11 +34,15 @@
+ /*************************************************************************
+ 	Import / Export control macros
+ *************************************************************************/
+-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
++#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
  #   ifdef CEGUILUA_EXPORTS
  #       define CEGUILUA_API __declspec(dllexport)
Index: code/trunk/src/external/ceguilua/ceguilua-0.6.2/ceguilua/CEGUILua.h
===================================================================
--- code/trunk/src/external/ceguilua/ceguilua-0.6.2/ceguilua/CEGUILua.h	(revision 6762)
+++ code/trunk/src/external/ceguilua/ceguilua-0.6.2/ceguilua/CEGUILua.h	(revision 7163)
@@ -35,5 +35,5 @@
 	Import / Export control macros
 *************************************************************************/
-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
+#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
 #   ifdef CEGUILUA_EXPORTS
 #       define CEGUILUA_API __declspec(dllexport)
Index: code/trunk/src/external/ceguilua/ceguilua-0.6.2/ceguilua/changes_orxonox.diff
===================================================================
--- code/trunk/src/external/ceguilua/ceguilua-0.6.2/ceguilua/changes_orxonox.diff	(revision 6762)
+++ code/trunk/src/external/ceguilua/ceguilua-0.6.2/ceguilua/changes_orxonox.diff	(revision 7163)
@@ -82,5 +82,10 @@
 --- CEGUILua.h	Sun Jan 25 18:32:57 2009
 +++ CEGUILua.h	Thu Jan 29 10:17:42 2009
-@@ -38,7 +38,11 @@
+@@ -34,11 +34,15 @@
+ /*************************************************************************
+ 	Import / Export control macros
+ *************************************************************************/
+-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
++#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
  #   ifdef CEGUILUA_EXPORTS
  #       define CEGUILUA_API __declspec(dllexport)
Index: code/trunk/src/external/ogreceguirenderer/CMakeLists.txt
===================================================================
--- code/trunk/src/external/ogreceguirenderer/CMakeLists.txt	(revision 6762)
+++ code/trunk/src/external/ogreceguirenderer/CMakeLists.txt	(revision 7163)
@@ -32,11 +32,11 @@
 ORXONOX_ADD_LIBRARY(ogreceguirenderer_orxonox
   ORXONOX_EXTERNAL
-  LINK_LIBRARIES
-    ${OGRE_LIBRARY}
-    ${CEGUI_LIBRARY}
   DEFINE_SYMBOL
     "OGRE_GUIRENDERER_EXPORTS"
   VERSION
     1.4.9
+  LINK_LIBRARIES
+    ${OGRE_LIBRARY}
+    ${CEGUI_LIBRARY}
   SOURCE_FILES
     ${OCR_FILES}
Index: code/trunk/src/external/ogreceguirenderer/OgreCEGUIRenderer.h
===================================================================
--- code/trunk/src/external/ogreceguirenderer/OgreCEGUIRenderer.h	(revision 6762)
+++ code/trunk/src/external/ogreceguirenderer/OgreCEGUIRenderer.h	(revision 7163)
@@ -38,5 +38,5 @@
 #include <OgreTextureUnitState.h>
 
-#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !defined(OGRE_STATIC_LIB)
+#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !defined(OGRE_GUIRENDERER_STATIC_LIB)
 #   ifdef OGRE_GUIRENDERER_EXPORTS
 #       define OGRE_GUIRENDERER_API __declspec(dllexport)
Index: code/trunk/src/external/ogreceguirenderer/changes_orxonox.diff
===================================================================
--- code/trunk/src/external/ogreceguirenderer/changes_orxonox.diff	(revision 6762)
+++ code/trunk/src/external/ogreceguirenderer/changes_orxonox.diff	(revision 7163)
@@ -32,5 +32,5 @@
 --- OgreCEGUIRenderer.h	Wed Jan 28 21:14:09 2009
 +++ OgreCEGUIRenderer.h	Wed Jan 28 21:06:46 2009
-@@ -29,9 +29,9 @@
+@@ -29,15 +29,15 @@
  #ifndef _OgreCEGUIRenderer_h_
  #define _OgreCEGUIRenderer_h_
@@ -45,4 +45,11 @@
  #include <OgreRenderQueueListener.h>
  #include <OgreSceneManagerEnumerator.h>
+ #include <OgreTextureUnitState.h>
+
+-#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !defined(OGRE_STATIC_LIB)
++#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !defined(OGRE_GUIRENDERER_STATIC_LIB)
+ #   ifdef OGRE_GUIRENDERER_EXPORTS
+ #       define OGRE_GUIRENDERER_API __declspec(dllexport)
+ #   else
 --- OgreCEGUIResourceProvider.cpp	Wed Jan 28 21:14:09 2009
 +++ OgreCEGUIResourceProvider.cpp	Wed Jan 28 21:07:15 2009
Index: code/trunk/src/external/ois/OISPrereqs.h
===================================================================
--- code/trunk/src/external/ois/OISPrereqs.h	(revision 6762)
+++ code/trunk/src/external/ois/OISPrereqs.h	(revision 7163)
@@ -61,5 +61,5 @@
 #	else
 #		define OIS_WIN32_PLATFORM
-#		if defined( OIS_DYNAMIC_LIB )
+#		if !defined( OIS_STATIC_LIB )
 #			undef _OISExport
 			//Ignorable Dll interface warning...
Index: code/trunk/src/external/ois/changes_orxonox.diff
===================================================================
--- code/trunk/src/external/ois/changes_orxonox.diff	(revision 6762)
+++ code/trunk/src/external/ois/changes_orxonox.diff	(revision 7163)
@@ -1,2 +1,13 @@
+--- OISPrereqs.h	(revision 7141)
++++ OISPrereqs.h	(working copy)
+@@ -60,7 +60,7 @@
+ #		define OIS_XBOX_PLATFORM
+ #	else
+ #		define OIS_WIN32_PLATFORM
+-#		if defined( OIS_DYNAMIC_LIB )
++#		if !defined( OIS_STATIC_LIB )
+ #			undef _OISExport
+ 			//Ignorable Dll interface warning...
+ #           if !defined(OIS_MINGW_COMPILER)
 --- linux/EventHelpers.cpp	(revision 5668)
 +++ linux/EventHelpers.cpp	(working copy)
Index: code/trunk/src/external/tinyxml/CMakeLists.txt
===================================================================
--- code/trunk/src/external/tinyxml/CMakeLists.txt	(revision 6762)
+++ code/trunk/src/external/tinyxml/CMakeLists.txt	(revision 7163)
@@ -18,5 +18,5 @@
  #
 
-SET_SOURCE_FILES(TINYXML++_FILES
+SET_SOURCE_FILES(TINYXML_FILES
   ticpp.h
   ticpprc.h
@@ -33,5 +33,5 @@
 )
 
-ORXONOX_ADD_LIBRARY(tinyxml++_orxonox
+ORXONOX_ADD_LIBRARY(tinyxml_orxonox
   ORXONOX_EXTERNAL
   NO_DLL_INTERFACE
@@ -39,4 +39,4 @@
     2.5.3
   SOURCE_FILES
-    ${TINYXML++_FILES}
+    ${TINYXML_FILES}
 )
Index: code/trunk/src/external/tolua/CMakeLists.txt
===================================================================
--- code/trunk/src/external/tolua/CMakeLists.txt	(revision 6762)
+++ code/trunk/src/external/tolua/CMakeLists.txt	(revision 7163)
@@ -20,5 +20,5 @@
 ################### Tolua++ library ###################
 
-SET_SOURCE_FILES(TOLUA++_FILES
+SET_SOURCE_FILES(TOLUA_FILES
   tolua_event.h
   tolua++.h
@@ -32,5 +32,5 @@
 )
 
-ORXONOX_ADD_LIBRARY(tolua++_orxonox
+ORXONOX_ADD_LIBRARY(tolua_orxonox
   ORXONOX_EXTERNAL
   DEFINE_SYMBOL
@@ -41,5 +41,5 @@
     ${LUA_LIBRARIES}
   SOURCE_FILES
-    ${TOLUA++_FILES}
+    ${TOLUA_FILES}
 )
 
@@ -47,5 +47,5 @@
 ################## Tolua++ generator ##################
 
-ORXONOX_ADD_EXECUTABLE(tolua++app_orxonox
+ORXONOX_ADD_EXECUTABLE(toluaapp_orxonox
   ORXONOX_EXTERNAL
   VERSION
@@ -61,5 +61,5 @@
 SET(TOLUA_PARSER_SOURCE "${CMAKE_CURRENT_SOURCE_DIR}/all-${LUA_VERSION}.lua" CACHE INTERNAL "")
 SET(TOLUA_PARSER_DEPENDENCIES
-  tolua++app_orxonox
+  toluaapp_orxonox
   ${CMAKE_CURRENT_SOURCE_DIR}/all-${LUA_VERSION}.lua
   ${CMAKE_CURRENT_SOURCE_DIR}/lua/compat-5.1.lua
